/*
 * NET		An implementation of the SOCKET network access protocol.
 *		This module implements the PPP protocol for the kernel-
 *		based devices like TTY.  It interfaces between a raw TTY,
 *		and the kernel's NET protocol layers (via DDI).
 *
 *		PPP general driver definitions.
 *
 * Version:	@(#)ppp.h	0.2.5	05/12/94
 *
 * Authors:	Michael Callahan <callahan@maths.ox.ac.uk>
 *		Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
 *
 *		This program is  free  software; you  can redistribute  it
 *		and/or modify it under the terms of the GNU General Public
 *		License  as  published by the  Free  Software  Foundation;
 *		either version 2  of the License, or (at  your option) any
 *		later version.
 */
#ifndef _PPP_H
#define _PPP_H


#include <linux/config.h>


#define	PPP_DEBUG

/* Has the master NETDBG flag been set? */
#ifdef	NETDBG
#   undef  PPP_DEBUG
#   define PPP_DEBUG
#endif

#ifdef	PPP_DEBUG
#   define DPRINTF(x)	ppp_dprintf x
#else
#   define DPRINTF(x)	/*nothing*/
#endif


/* PPP configuration. */
#define PPP_MAX_DEV	64		/* should be enough for now :-)	*/
#define NET_PPP_MAJOR	31
#define CHECK_CHARS	0		/* check character values	*/


extern int		ppp_init(struct ddi *ddi);


#endif	/* _PPP_H */
